unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, Buttons,
  ExtCtrls, wbrowser;

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    EdUrl: TEdit;
    Memo1: TMemo;
    Panel1: TPanel;
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure EdUrlKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
      procedure MyBeforeNavigate2(Sender: TObject; pDisp:IDispatch;
      var URL:OleVariant; var Flags:OleVariant; var TargetFrameName:OleVariant;
      var PostData:OleVariant; var Headers:OleVariant; var Cancel:WordBool);

  public
     Wb:  TWbrowser;
     constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure Navigate(const AURL: string);
  end;

var
  Form1: TForm1;

implementation
{uses SHDocVw_1_1_TLB;

var
  WB : TEvsWebBrowser;}

{$R *.lfm}

{ TForm1 }

procedure TForm1.Navigate(const AURL: string);
var V1, V2, V3, V4: OleVariant;
begin
  if AURL='' then Wb.{$ifdef fpc}OleServer.{$endif}Navigate('about:blank', V1, V2, V3, V4)
  else Wb.{$ifdef fpc}OleServer.{$endif}Navigate(WideString(AURL), V1, V2, V3, V4);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin

  {
  WB := TEvsWebBrowser.Create(Self);
  ActiveXContainer1.ComServer := WB.ComServer;
  ActiveXContainer1.Active := True;
  WB.ComServer.Silent:=true;
  WB.OnBeforeNavigate2 := @MyBeforeNavigate2;
  }

    //Createbrowser
  Wb:=  TWbrowser.Create(self);
   Wb.Align:=alClient;
   {$ifdef fpc}Wb{$else}TWinControl(Wb){$endif}.Parent:=self;

   {$ifdef fpc}Wb.Active:=true;{$endif}

   //Here you can control Browser this is for no-activex, no-java, silent(no script error), with images
   //look for other options in wbrowser.pas
   Wb.DCtlOpts:=DLCTL_NO_DLACTIVEXCTLS or DLCTL_NO_RUNACTIVEXCTLS or DLCTL_NO_JAVA or DLCTL_SILENT or DLCTL_DLIMAGES;

  //Navigate('http://www.lazarus-ide.org');
  Navigate('http://www.mybrowserinfo.com');
  Application.Title:='WbDemo-'{$ifdef fpc}+'Laz'{$else}+'Delphi'{$endif};
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  //...
  inherited Destroy;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
{var
  url, zero : OleVariant;}
begin
  {url := UTF8Decode(EdUrl.Text);
  zero := Null;
  WB.ComServer.Navigate2(url, zero, zero, zero, zero); }

  Navigate(EdUrl.Text);
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  Wb.UserAgent:='Mozilla/5.0 (iPhone; CPU iPhone OS 15_4 like Mac OS X) AppleWebKit/538.34 (KHTML, like Gecko) Version/16.1 Mobile/1N3PYE Safari/538.34';
  //Wb.UserAgent:='Mozilla/5.0 (iPhone; U; CPU like Mac OS X; en) AppleWebKit/420+ (KHTML, like Gecko) Version/3.0 Mobile/1A543a Safari/419.3';
//WebBrowser1.Navigate(EditURL.Text);
Navigate(EdUrl.Text);
end;

procedure TForm1.EdUrlKeyDown(Sender: TObject; var Key: Word; Shift: TShiftState
  );
begin
  if Key=13 then Navigate(EdUrl.Text);
end;

procedure TForm1.MyBeforeNavigate2(Sender: TObject; pDisp: IDispatch;
  var URL: OleVariant; var Flags: OleVariant; var TargetFrameName: OleVariant;
  var PostData: OleVariant; var Headers: OleVariant; var Cancel: WordBool);
begin
       Memo1.Lines.Add(UTF8Encode(URL));
end;

constructor TForm1.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
end;

destructor TForm1.Destroy;
begin
  inherited Destroy;
end;

end.

